Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FSDK.RectF Class Reference

## Public Member Functions
| constructor ()
| Construct an empty rectangle.
| constructor (left1, bottom1, Fight1, top1)
| Construct a rectangle with left-bottom and right-top corners. More...
| Contains (other_rect) Contains(x
| Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one. More...
| Deflate (left, bottom, right, top,)
| Decreases the width and height of the rectangle. More...
| Deflate (x, y)
| Decreases the width and height of the rectangle. More...
| Deflatert (rt)
| Decreases the width and height of the rectangle. More...
| GetClosestRect ()
| Get a closest integer rectangle. More...
| GetInnerRect ()
| Convert to an inner integer rectangle. More...
| GetOutterRect ()
| Convert to an outer integer rectangle. More...
| Height ()
| Get the height of the rectangle. More...
| Inflate (left, bottom, right, top,)
| Increases the width and height of the rectangle. More...
| Inflate (rt)
| Increases the width and height of the rectangle. More...
| Inflate (x, y)
| Increases the width and height of the rectangle. More...
| InitRect (x, y)
| Initialize the rectangle to a single point. More...
| Intersect (other_rect)
| Intersect with a rect. More...
| IsEmpty ()
| Verify whether the rect is empty. More...
| Normalize ()
| Normalize the rect. Make sure left <= right, and bottom <= top. More...
| Reset ()
| Reset rectangle, set coordinates to 0. More...
| Substract4 (substract_rect, pRects)
| Subtract a rectangle area from this rectangle. The result might be up to 4 rectangles. The number of result rectangles are returned. Caller must prepare enough rectangles (up to 4). More...
| Transform (pMatrix)
| Transform a rectangle. The result rectangle is always normalized. More...
| Translate (e, f)
| Translate rectangle. More...
| Union (other_rect)
| Union with a rect. More...
| UpdateRect (x, y)
| Update the rectangle to contain the specified point. More...
| Width ()
| Get the width of the rectangle. More...

## Static Public Member Functions
static | GetBBox (pPoints, nPoints)
| Get the bounding box of input points array. More...

## Public Attributes
| bottom
| The bottom.
| left
| The left.
| right
| The right.
| top
| The top.

## Member Function Documentation

## ◆ constructor()

FSDK.RectF.constructor | ( | left1 | ,
|  | bottom1 | ,
|  | Fight1 | ,
|  | top1 |
| ) |  |

Construct a rectangle with left-bottom and right-top corners.

Parameters

  [in] | left1 | The x-coordinate of the input left-bottom corner.
  [in] | bottom1 | The y-coordinate of the input left-bottom corner.
  [in] | right1 | The x-coordinate of the input right-top corner.
  [in] | top1 | The y-coordinate of the input right-top corner.

## ◆ Contains()

FSDK.RectF.Contains | ( |  | other_rect | ) |

Check if current rectangle fully contains the other provided rectangle. That means to check if the other rectangle is fully inside current one.

Parameters

  [in] | other_rect | The other provided rect.

Returns
  true means current rectangle fully contains the other one, while false means not.

Check if current rectangle fully contains the provided point. That means to check if the provided point is inside current rectangle.

Parameters

  [in] | x | The x coordinate of the provided point.
  [in] | y | The y coordinate of the provided point.

Returns
  true means current rectangle contains the provided point, while false means not.

## ◆ Deflate() [1/2]

FSDK.RectF.Deflate | ( | left | ,
|  | bottom | ,
|  | right | ,
|  | top |
| ) |  |

Decreases the width and height of the rectangle.

Parameters

  [in] | left | The number to deflate the left of the rectangle.
  [in] | bottom | The number to deflate the bottom of the rectangle.
  [in] | right | The number to deflate the right of the rectangle.
  [in] | top | The number to deflate the top of the rectangle.

Returns
  None.

## ◆ Deflate() [2/2]

FSDK.RectF.Deflate | ( | x | ,
|  | y |
| ) |  |

Decreases the width and height of the rectangle.

Parameters

  [in] | x | The number to deflate the left and right of the rectangle.
  [in] | y | The number to deflate the top and bottom of the rectangle.

Returns
  None.

## ◆ Deflatert()

FSDK.RectF.Deflatert | ( | rt |  | ) |

Decreases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to deflate each side.

Returns
  None.

## ◆ GetBBox()

static FSDK.RectF.GetBBox | ( | pPoints | ,
|  | nPoints |
| ) |  |
| static

Get the bounding box of input points array.

Parameters

  [in] | pPoints | The input points array.
  [in] | nPoints | The number of points in the array.

Returns
  A floating-point coordination rectangle.

## ◆ GetClosestRect()

FSDK.RectF.GetClosestRect | ( |  | ) |

Get a closest integer rectangle.

Returns
  The closest integer rectangle.

## ◆ GetInnerRect()

FSDK.RectF.GetInnerRect | ( |  | ) |

Convert to an inner integer rectangle.

Returns
  The inner integer rectangle.

## ◆ GetOutterRect()

FSDK.RectF.GetOutterRect | ( |  | ) |

Convert to an outer integer rectangle.

Returns
  The outer integer rectangle.

## ◆ Height()

FSDK.RectF.Height | ( |  | ) |

Get the height of the rectangle.

Returns
  Height of the rectangle.

## ◆ Inflate() [1/3]

FSDK.RectF.Inflate | ( | left | ,
|  | bottom | ,
|  | right | ,
|  | top |
| ) |  |

Increases the width and height of the rectangle.

Parameters

  [in] | left | The number to inflate the left of the rectangle.
  [in] | bottom | The number to inflate the bottom of the rectangle.
  [in] | right | The number to inflate the right of the rectangle.
  [in] | top | The number to inflate the top of the rectangle.

Returns
  None.

## ◆ Inflate() [2/3]

FSDK.RectF.Inflate | ( | rt |  | ) |

Increases the width and height of the rectangle.

Parameters

  [in] | rt | The rectangle to inflate each side.

Returns
  None.

## ◆ Inflate() [3/3]

FSDK.RectF.Inflate | ( | x | ,
|  | y |
| ) |  |

Increases the width and height of the rectangle.

Parameters

  [in] | x | The number to inflate the left and right of the rectangle.
  [in] | y | The number to inflate the top and bottom of the rectangle.

Returns
  None.

## ◆ InitRect()

FSDK.RectF.InitRect | ( | x | ,
|  | y |
| ) |  |

Initialize the rectangle to a single point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Intersect()

FSDK.RectF.Intersect | ( | other_rect |  | ) |

Intersect with a rect.

Parameters

  [in] | other_rect | The rect to intersect with.

Returns
  None.

## ◆ IsEmpty()

FSDK.RectF.IsEmpty | ( |  | ) |

Verify whether the rect is empty.

Returns
  true meanas current rect is empty, while false means not.

## ◆ Normalize()

FSDK.RectF.Normalize | ( |  | ) |

Normalize the rect. Make sure left <= right, and bottom <= top.

Returns
  None.

## ◆ Reset()

FSDK.RectF.Reset | ( |  | ) |

Reset rectangle, set coordinates to 0.

Returns
  None.

## ◆ Substract4()

FSDK.RectF.Substract4 | ( | substract_rect | ,
|  | pRects |
| ) |  |

Subtract a rectangle area from this rectangle. The result might be up to 4 rectangles. The number of result rectangles are returned. Caller must prepare enough rectangles (up to 4).

Parameters

  [in] | substract_rect | The rectangle to be subtracted.
  [out] | pRects | The rectangle array to receive result rectangles.

Returns
  The number of result rectangles.

## ◆ Transform()

FSDK.RectF.Transform | ( | pMatrix |  | ) |

Transform a rectangle. The result rectangle is always normalized.

Parameters

  [in] | pMatrix | The transformation matrix.

Returns
  None.

## ◆ Translate()

FSDK.RectF.Translate | ( | e | ,
|  | f |
| ) |  |

Translate rectangle.

Parameters

  [in] | e | Offset in X-axis.
  [in] | f | Offset in Y-axis.

Returns
  None.

## ◆ Union()

FSDK.RectF.Union | ( | other_rect |  | ) |

Union with a rect.

Parameters

  [in] | other_rect | The rect to union with.

Returns
  None.

## ◆ UpdateRect()

FSDK.RectF.UpdateRect | ( | x | ,
|  | y |
| ) |  |

Update the rectangle to contain the specified point.

Parameters

  [in] | x | The x-coordinate of the input point.
  [in] | y | The y-coordinate of the input point.

Returns
  None.

## ◆ Width()

FSDK.RectF.Width | ( |  | ) |

Get the width of the rectangle.

Returns
  Width of the rectangle.